-- Skin info
-- Allows disabling certain U.M features for specific characters
if not um_charsettings then rawset(_G, "um_charsettings", {}) end
local default = {
	norundust = false,
	nospindash = false,
	noflight = false,
	nojellymode = false,
	notransformanim = false,
}
um_charsettings["metalsonic"] = {
	norundust = true
}
um_charsettings["maimy"] = {
	norundust = true
}
um_charsettings["jellytails"] = {
	noflight = true,
	nojellymode = true,
}
um_charsettings["piroli"] = {
	norundust = true,
}
um_charsettings["adventuresonic"] = {
	notransformanim = true
}
um_charsettings["modernsonic"] = {
	notransformanim = true
}

-- Yes, i bothered to add stuff for an underused character
um_charsettings["eevee"] = {
	nospindash = true
}
rawset(_G, "UM_SkinInfo", function(skin)
	return um_charsettings[skin] or default
end)